Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.wsdl11
Interface WSDL11Transport

All Known Implementing Classes:
  AbstractWSDLTransport, SoapHttpTransport, XMPPTransport

    public interface WSDL11Transport

Indicates that a particular transport supports WSDL 1.1 generation.

Author:
  Dan Diephouse

Method Summary
`javax.wsdl.Binding` | `createBinding(WSDLBuilder builder, javax.wsdl.PortType portType, WSDL11ParameterBinding binding)`
`javax.wsdl.BindingOperation` | `createBindingOperation(WSDLBuilder builder, javax.wsdl.PortType portType, javax.wsdl.Operation wsdlOp, WSDL11ParameterBinding binding)`
`javax.wsdl.Port` | `createPort(WSDLBuilder builder, javax.wsdl.Binding transportBinding)`

Method Detail

### createBinding

    javax.wsdl.Binding createBinding(WSDLBuilder builder,
                                     javax.wsdl.PortType portType,
                                     WSDL11ParameterBinding binding)

  Parameters:
    `portType` -
    `service` -

### createPort

    javax.wsdl.Port createPort(WSDLBuilder builder,
                               javax.wsdl.Binding transportBinding)

  Parameters:
    `transportBinding` -
  Returns:

### createBindingOperation

    javax.wsdl.BindingOperation createBindingOperation(WSDLBuilder builder,
                                                       javax.wsdl.PortType portType,
                                                       javax.wsdl.Operation wsdlOp,
                                                       WSDL11ParameterBinding binding)

  Parameters:
    `portType` -
    `wsdlOp` -
    `service` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.